drop table user if exists;
drop table drone if exists;
drop table item if exists;
drop table load if exists;
drop table medication if exists;

create table user (id bigint generated by default as identity, created timestamp not null, updated timestamp not null, email varchar(255), password varchar(255), primary key (id));
create table drone (id bigint generated by default as identity, created timestamp not null, updated timestamp not null, battery_level decimal(5,2) not null, model varchar(255) not null, serial_number varchar(100) not null, state varchar(255) not null, weight_limit decimal(5,2) not null, primary key (id));
create table item (id bigint generated by default as identity, created timestamp not null, updated timestamp not null, count integer, load_id bigint, medication_id bigint, primary key (id));
create table load (id bigint generated by default as identity, created timestamp not null, updated timestamp not null, state varchar(255), drone_id bigint, primary key (id));
create table medication (id bigint generated by default as identity, created timestamp not null, updated timestamp not null, code varchar(255) not null, image_url varchar(255) not null, name varchar(255) not null, weight double not null, primary key (id));
create table battery_level_log (id bigint generated by default as identity, created timestamp not null, updated timestamp not null, battery_level decimal(5,2) not null, drone_id bigint, primary key (id));
create table role (id bigint generated by default as identity, created timestamp not null, updated timestamp not null, name varchar(255), primary key (id));
create table user_role (user_id bigint not null, role_id bigint not null, primary key (user_id, role_id));

alter table battery_level_log add constraint FK442g4o46f4va201crgedsurfo foreign key (drone_id) references drone;
alter table item add constraint FKnf974mdtilp1wxba4subn8gty foreign key (load_id) references load;
alter table item add constraint FKg9mbx3i4ox4mq30rpgr7f60y7 foreign key (medication_id) references medication;
alter table load add constraint FK8e61bb9jj7ovkn3w7g8y4oa5u foreign key (drone_id) references drone;
alter table user_role add constraint FKa68196081fvovjhkek5m97n3y foreign key (role_id) references role;
alter table user_role add constraint FKg7fr1r7o0fkk41nfhnjdyqn7b foreign key (user_id) references user;